Subject: bug#66637: 29.1; Emacs crashes with activating tree-sitter modes

From: Gerd Möllmann <[email-masked]>
Date: Fri, 20 Oct 2023 13:33:26 +0200

Kristjon Ciko <[email-masked]> writes:

> It seems like this is a MacOS-specific issue; more precisely, a MacOS Sonoma-specific since I did not have this problem before the upgrade.
>
> I reinstalled Emacs using `sudo port install emacs-app` and I found
> out that the issue occurs **ONLY** when Emacs (vanilla Emacs, no
> config files involved) is launched from the Spotlight search, which
> points to /Applications/MacPorts/Emacs.app.  Everything works just
> fine if I run emacs from the terminal (`which emacs` =>
> /Applications/MacPorts/Emacs.app/Contents/MacOS/emacs)
>
> Same case with my own config; launching it from terminal seems the way to go.

Have you make sure that Emacs, when started via Spotlight for instance,
has the same environment variables that you have in the shell (PATH for
example)? It doesn't if you don't do something, like using the
exec-path-from-shell package.